# Listing 2. fragment kodu realizujący odczyt temperatury z czujnika

# --------- User Settings ---------
TEMPERATURE_DELAY = 60
TEMPERATURE_TOO_HIGH_F = 50
TEMPERATURE_TOO_LOW_F = 27
# ---------------------------------

# Temperature Sensor Parameters
os.system('modprobe w1-gpio')
os.system('modprobe w1-therm')
BASE_DIR = '/sys/bus/w1/devices/'
DEVICE_FOLDER = glob.glob(BASE_DIR + '28*')[0]
DEVICE_FILE = DEVICE_FOLDER + '/w1_slave'


def readTempRaw():
    f = open(DEVICE_FILE, 'r')
    lines = f.readlines()
    f.close()
    return lines

def readTemp():
    lines = readTempRaw()
    while lines[0].strip()[-3:] != 'YES':
        time.sleep(0.2)
        lines = readTempRaw()
    equalsPos = lines[1].find('t=')
    if equalsPos != -1:
        tempString = lines[1][equalsPos+2:]
        tempC = float(tempString) / 1000.0
        return tempC

def streamTemp():
    while True:
        tempC = readTemp()
        time.sleep(TEMPERATURE_DELAY)

